Daemon Power

The NetBSD Packages Collection: meta-pkgs/php70-extensions

Brief description of the package:
"meta-package" for the PHP 7.0 HTML-embedded scripting language

Please read the file "DESCR" for a longer description, or browse the package's history.

This package has a home page at http://www.php.net/.

The package is located in the "meta-pkgs/php70-extensions" directory. The current source version of the package is "php70-extensions-7.0.24nb1". For a summary on how to use the package collection, go to the top of the packages tree.

Problem reports, updates or suggestions for this package should be reported with send-pr.

The following security vulnerabilities are known for meta-pkgs/php70-extensions :

If you have a vulnerable package installed on any machine, you are advised to remove the package immediately, using the standard package tools. The pkg_admin audit command locates any installed package which has been mentioned in security advisories as being vulnerable.

This package requires the following package(s) to build: php>=7.0.24<7.1 libxml2>=2.6.2 xmlcatmgr>=2.0beta1 cwrappers>=20150314 readline>=2.2 libxml2>=2.8.0nb2 readline>=6.0 ap24-php70>=7.0.24<7.1 php>=5.6.0<5.7 apache>=2.4.7<2.5 apr>=1.5.0 apr-util>=1.5.3 apr-util>=1.2.8 pcre>=3.4nb1 nghttp2>=1.0.0 python27>=2.7 mozilla-rootcerts>=1.0.20150804nb1 libffi>=1.20 libffi>=3.0.11 python27>=2.7.1nb2 apr-util>=1.5.4nb4 pcre>=8.30nb1 nghttp2>=1.25.0nb1 apache>=2.4.18nb1 php70-fpm>=7.0.24<7.1 php70-bcmath>=7.0.24<7.1 php70-bz2>=7.0.24<7.1 php70-calendar>=7.0.24<7.1 php70-curl>=7.0.24<7.1 curl>=7.12.3 libidn2>=2.0.0 libunistring>=0.9.3 libunistring>=0.9.4 curl>=7.55.1nb1 php70-dba>=7.0.24<7.1 php70-enchant>=7.0.24 enchant>=1.2.4 hunspell-en_US-[0-9]* hunspell>=1.2.2 perl>=5.0 glib2>=2.4.0 libelf>=0.8.5 pcre>=8.31 hunspell>=1.3.2 glib2>=2.34.0 enchant>=1.1.3 enchant>=1.6.0nb5 php70-exif>=7.0.24<7.1 php70-ftp>=7.0.24<7.1 php70-gd>=7.0.24<7.1 gd>=2.0.15nb1 fontconfig>=2.10.93 freetype2>=2.4.5 freetype2>=2.1.3 freetype2>=2.4.11 gperf-[0-9]* fontconfig>=2.1nb2 libimagequant>=2.8.2 libwebp>=0.2.0 tiff>=3.6.1 jbigkit>=2.0 jpeg>=8nb1 jpeg>=9 giflib>=5.1.0 png>=1.2.4 tiff>=4.0.3nb5 png>=1.6.0nb1 fontconfig>=2.10.93nb2 libwebp>=0.6.0 gd>=2.2.4nb1 php70-gettext>=7.0.24<7.1 php70-gmp>=7.0.24<7.1 gmp>=4.2.1 gmp>=5.0.1 php70-iconv>=7.0.24<7.1 php70-recode>=7.0.24<7.1 recode>=3.6nb1 recode>=3.6nb5 php70-imap>=7.0.24<7.1 imap-uw>=2007dnb1 imap-uw>=2007fnb3 php70-intl>=7.0.24<7.1 icu>=3.4 icu>=59.1nb1 php70-json>=7.0.24<7.1 php70-ldap>=7.0.24<7.1 php70-mbstring>=7.0.24<7.1 php70-mcrypt>=7.0.24<7.1 libmcrypt>=2.5.6 libmcrypt>=2.5.7nb1 php70-mysqli>=7.0.24<7.1 mysql-client>=5.5.10<5.6 mysql-client>=5.5.48nb1 php70-opcache>=7.0.24<7.1 php70-pcntl>=7.0.24<7.1 php70-pdo>=7.0.24<7.1 php70-pdo_dblib>=7.0.24<7.1 freetds>=0.63 libltdl>=2.4.2 libltdl>=2.2.6 freetds>=1.00 php56-pdo-5.* php56-pdo>=5.2.9 php70-pdo_mysql>=7.0.24<7.1 php70-pdo_pgsql>=7.0.24<7.1 postgresql95-client>=9.5.1 postgresql95-client>=9.5.1nb1 php70-pdo_sqlite>=7.0.24<7.1 php70-pgsql>=7.0.24<7.1 php70-posix>=7.0.24<7.1 php70-pspell>=7.0.24<7.1 aspell>=0.50.3 ncurses>=5.3nb1 ncurses>=6.0 aspell>=0.60.6nb3 php70-shmop>=7.0.24<7.1 php70-snmp>=7.0.24<7.1 net-snmp>=5.0.9nb3 perl>=5.26.0 perl<5.28.0 osabi-NetBSD-7.0.1 net-snmp>=5.7.3nb3 php70-soap>=7.0.24<7.1 php70-sockets>=7.0.24<7.1 php70-sysvmsg>=7.0.24<7.1 php70-sysvsem>=7.0.24<7.1 php70-sysvshm>=7.0.24<7.1 php70-tidy>=7.0.24<7.1 tidy>=5.1.25<20000000 libxslt-[0-9]* libgcrypt>=1.2.0 libgpg-error>=1.13 libgpg-error>=0.6 libgpg-error>=1.10nb1 libxml2>=2.6.27 libgcrypt>=1.6.0 docbook-xml-[0-9]* docbook-xsl-[0-9]* docbook-xml>=4.2 php70-wddx>=7.0.24<7.1 php70-xmlrpc>=7.0.24<7.1 php70-xsl>=7.0.24<7.1 libxslt>=1.1.8 libxslt>=1.1.28nb2 php70-zip>=7.0.24<7.1 php70-zlib>=7.0.24<7.1 .

This package requires the following package(s) to run: php>=7.0.24<7.1 libxml2>=2.6.2 xmlcatmgr>=2.0beta1 readline>=2.2 libxml2>=2.8.0nb2 readline>=6.0 ap24-php70>=7.0.24<7.1 php>=5.6.0<5.7 apache>=2.4.7<2.5 apr>=1.5.0 apr-util>=1.5.3 apr-util>=1.2.8 pcre>=3.4nb1 nghttp2>=1.0.0 python27>=2.7 mozilla-rootcerts>=1.0.20150804nb1 libffi>=1.20 libffi>=3.0.11 python27>=2.7.1nb2 apr-util>=1.5.4nb4 pcre>=8.30nb1 nghttp2>=1.25.0nb1 apache>=2.4.18nb1 php70-fpm>=7.0.24<7.1 php70-bcmath>=7.0.24<7.1 php70-bz2>=7.0.24<7.1 php70-calendar>=7.0.24<7.1 php70-curl>=7.0.24<7.1 curl>=7.12.3 libidn2>=2.0.0 libunistring>=0.9.3 libunistring>=0.9.4 curl>=7.55.1nb1 php70-dba>=7.0.24<7.1 php70-enchant>=7.0.24 enchant>=1.2.4 hunspell-en_US-[0-9]* hunspell>=1.2.2 perl>=5.0 glib2>=2.4.0 libelf>=0.8.5 pcre>=8.31 hunspell>=1.3.2 glib2>=2.34.0 enchant>=1.1.3 enchant>=1.6.0nb5 php70-exif>=7.0.24<7.1 php70-ftp>=7.0.24<7.1 php70-gd>=7.0.24<7.1 gd>=2.0.15nb1 fontconfig>=2.10.93 freetype2>=2.4.5 freetype2>=2.1.3 freetype2>=2.4.11 fontconfig>=2.1nb2 libimagequant>=2.8.2 libwebp>=0.2.0 tiff>=3.6.1 jbigkit>=2.0 jpeg>=8nb1 jpeg>=9 giflib>=5.1.0 png>=1.2.4 tiff>=4.0.3nb5 png>=1.6.0nb1 fontconfig>=2.10.93nb2 libwebp>=0.6.0 gd>=2.2.4nb1 php70-gettext>=7.0.24<7.1 php70-gmp>=7.0.24<7.1 gmp>=4.2.1 gmp>=5.0.1 php70-iconv>=7.0.24<7.1 php70-recode>=7.0.24<7.1 recode>=3.6nb1 recode>=3.6nb5 php70-imap>=7.0.24<7.1 imap-uw>=2007dnb1 imap-uw>=2007fnb3 php70-intl>=7.0.24<7.1 icu>=3.4 icu>=59.1nb1 php70-json>=7.0.24<7.1 php70-ldap>=7.0.24<7.1 php70-mbstring>=7.0.24<7.1 php70-mcrypt>=7.0.24<7.1 libmcrypt>=2.5.6 libmcrypt>=2.5.7nb1 php70-mysqli>=7.0.24<7.1 mysql-client>=5.5.10<5.6 mysql-client>=5.5.48nb1 php70-opcache>=7.0.24<7.1 php70-pcntl>=7.0.24<7.1 php70-pdo>=7.0.24<7.1 php70-pdo_dblib>=7.0.24<7.1 freetds>=0.63 libltdl>=2.4.2 libltdl>=2.2.6 freetds>=1.00 php56-pdo-5.* php56-pdo>=5.2.9 php70-pdo_mysql>=7.0.24<7.1 php70-pdo_pgsql>=7.0.24<7.1 postgresql95-client>=9.5.1 postgresql95-client>=9.5.1nb1 php70-pdo_sqlite>=7.0.24<7.1 php70-pgsql>=7.0.24<7.1 php70-posix>=7.0.24<7.1 php70-pspell>=7.0.24<7.1 aspell>=0.50.3 ncurses>=5.3nb1 ncurses>=6.0 aspell>=0.60.6nb3 php70-shmop>=7.0.24<7.1 php70-snmp>=7.0.24<7.1 net-snmp>=5.0.9nb3 perl>=5.26.0 perl<5.28.0 osabi-NetBSD-7.0.1 net-snmp>=5.7.3nb3 php70-soap>=7.0.24<7.1 php70-sockets>=7.0.24<7.1 php70-sysvmsg>=7.0.24<7.1 php70-sysvsem>=7.0.24<7.1 php70-sysvshm>=7.0.24<7.1 php70-tidy>=7.0.24<7.1 tidy>=5.1.25<20000000 php70-wddx>=7.0.24<7.1 php70-xmlrpc>=7.0.24<7.1 php70-xsl>=7.0.24<7.1 libxslt>=1.1.8 libgcrypt>=1.2.0 libgpg-error>=1.13 libgpg-error>=0.6 libgpg-error>=1.10nb1 libxml2>=2.6.27 libgcrypt>=1.6.0 libxslt>=1.1.28nb2 php70-zip>=7.0.24<7.1 php70-zlib>=7.0.24<7.1 .

This package supports the following build-time options:

(none)

Select one of the links below to download the package in precompiled binary form for installation with pkg_add(1). Available machine architectures and package versions:
earmv7hf:php70-extensions-7.0.1.tgz(NetBSD 7.0)
i386:php70-extensions-7.0.22nb1.tgz(NetBSD 6.0)
i386:php70-extensions-7.0.17nb1.tgz(NetBSD 6.0)
i386:php70-extensions-7.0.22nb1.tgz(NetBSD 7.0)
powerpc:php70-extensions-7.0.20nb1.tgz(NetBSD 7.1)
powerpc:php70-extensions-7.0.20nb1.tgz(NetBSD 8.0)
powerpc:php70-extensions-7.0.22nb1.tgz(NetBSD 8.0)
x86_64:php70-extensions-7.0.23nb1.tgz(NetBSD 6.0)
x86_64:php70-extensions-7.0.17nb1.tgz(NetBSD 6.0)
x86_64:php70-extensions-7.0.23nb1.tgz(NetBSD 6.1)
x86_64:php70-extensions-7.0.17nb1.tgz(NetBSD 6.1)
x86_64:php70-extensions-7.0.22nb1.tgz(NetBSD 7.0)
x86_64:php70-extensions-7.0.15.tgz(NetBSD 7.0)
x86_64:php70-extensions-7.0.17nb1.tgz(NetBSD 7.0)
x86_64:php70-extensions-7.0.20nb1.tgz(NetBSD 7.0.1_PATCH)
x86_64:php70-extensions-7.0.21nb1.tgz(NetBSD 8.99.1)
x86_64:php70-extensions-7.0.22nb1.tgz(NetBSD 8.99.1)
x86_64:php70-extensions-7.0.22nb1.tgz(NetBSD 8.99.1)

The NetBSD packages collection is designed to permit easy installation from source - particularly useful if the latest binary package is not available for your chosen platform.


[ Go up one level | Go to top of packages tree | List all packages ]